---
lang: en
title: 'API docs: openapi-spec-builder.builderbase.withextension'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.builderbase.withextension.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [BuilderBase](./openapi-spec-builder.builderbase.md) &gt; [withExtension](./openapi-spec-builder.builderbase.withextension.md)

## BuilderBase.withExtension() method

Add a custom (extension) property to the spec object.

<b>Signature:</b>

```typescript
withExtension(key: string, value: any): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>string</code> | The property name starting with "x-". |
|  value | <code>any</code> | The property value. |

<b>Returns:</b>

`this`


